//=============================================================================
// rember.js
//=============================================================================
/*:
 * @plugindesc Saves a variable across saves.
 *
 * @author Draught
 *
 * @help
 *
 * _globalDataContents_.someVariable = 143
 *
 * TERMS OF USE
 * Don't use without permission.
 *
 */
{
    let fs = require('fs')
    fs.readFile('save/EXAMPLE_globaldata.json', (err, data)=>{
      if (err) {data = '{}'}
      window._globalDataContents_ = JSON.parse(data)
    })
    window._saveGlobalData_ = function() {
      fs.writeFile('save/EXAMPLE_globaldata.json', JSON.stringify(window._globalDataContents_), (err)=>{console.error(err)})
    }
  }